org.apache.cassandra.thrift

## Class Cassandra.AsyncClient.describe_snitch_call

- java.lang.Object
- - org.apache.thrift.async.TAsyncMethodCall
  - - org.apache.cassandra.thrift.Cassandra.AsyncClient.describe_snitch_call

- Enclosing class:
    Cassandra.AsyncClient

      public static class Cassandra.AsyncClient.describe_snitch_call
      extends org.apache.thrift.async.TAsyncMethodCall

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.thrift.async.TAsyncMethodCall

      `org.apache.thrift.async.TAsyncMethodCall.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.async.TAsyncMethodCall

      `client, transport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `describe_snitch_call(org.apache.thrift.async.AsyncMethodCallback resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResult()`
    `void` | `write_args(org.apache.thrift.protocol.TProtocol prot)`

    - ### Methods inherited from class org.apache.thrift.async.TAsyncMethodCall

      `getClient, getFrameBuffer, getSequenceId, getStartTime, getState, getTimeoutTimestamp, hasTimeout, isFinished, onError, prepareMethodCall, transition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### describe_snitch_call

          public describe_snitch_call(org.apache.thrift.async.AsyncMethodCallback resultHandler,
                                      org.apache.thrift.async.TAsyncClient client,
                                      org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                                      org.apache.thrift.transport.TNonblockingTransport transport)
                               throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

  - ### Method Detail

    - #### write_args

          public void write_args(org.apache.thrift.protocol.TProtocol prot)
                          throws org.apache.thrift.TException

      Specified by:
        `write_args` in class `org.apache.thrift.async.TAsyncMethodCall`
      Throws:
        `org.apache.thrift.TException`

    - #### getResult

          public java.lang.String getResult()
                                     throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation